import { Component, HostBinding, Input, NgModule } from '@angular/core';
import { BrowserModule, DomSanitizer } from '@angular/platform-browser';
import { CommonModule } from '@angular/common';

var JsonLdComponent = (function () {
    /**
     * @param {?} sanitizer
     */
    function JsonLdComponent(sanitizer) {
        this.sanitizer = sanitizer;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    JsonLdComponent.prototype.ngOnChanges = function (changes) {
        this.jsonLD = this.getSafeHTML(changes.json.currentValue);
    };
    /**
     * @param {?} value
     * @return {?}
     */
    JsonLdComponent.prototype.getSafeHTML = function (value) {
        var /** @type {?} */ json = JSON.stringify(value, null, 2);
        var /** @type {?} */ html = "<script type=\"application/ld+json\">" + json + "</script>";
        return this.sanitizer.bypassSecurityTrustHtml(html);
    };
    return JsonLdComponent;
}());
JsonLdComponent.decorators = [
    { type: Component, args: [{
                selector: 'ngx-json-ld',
                template: ''
            },] },
];
/**
 * @nocollapse
 */
JsonLdComponent.ctorParameters = function () { return [
    { type: DomSanitizer, },
]; };
JsonLdComponent.propDecorators = {
    'json': [{ type: Input },],
    'jsonLD': [{ type: HostBinding, args: ['innerHTML',] },],
};

var NgxJsonLdModule = (function () {
    function NgxJsonLdModule() {
    }
    /**
     * @return {?}
     */
    NgxJsonLdModule.forRoot = function () {
        return {
            ngModule: NgxJsonLdModule
        };
    };
    return NgxJsonLdModule;
}());
NgxJsonLdModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    BrowserModule
                ],
                declarations: [
                    JsonLdComponent
                ],
                exports: [
                    JsonLdComponent
                ]
            },] },
];
/**
 * @nocollapse
 */
NgxJsonLdModule.ctorParameters = function () { return []; };

export { NgxJsonLdModule, JsonLdComponent };
