(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/platform-browser'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/platform-browser', '@angular/common'], factory) :
	(factory((global['ngx-json-ld'] = {}),global.core,global.platformBrowser,global.common));
}(this, (function (exports,core,platformBrowser,common) { 'use strict';

var JsonLdComponent = (function () {
    /**
     * @param {?} sanitizer
     */
    function JsonLdComponent(sanitizer) {
        this.sanitizer = sanitizer;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    JsonLdComponent.prototype.ngOnChanges = function (changes) {
        this.jsonLD = this.getSafeHTML(changes.json.currentValue);
    };
    /**
     * @param {?} value
     * @return {?}
     */
    JsonLdComponent.prototype.getSafeHTML = function (value) {
        var /** @type {?} */ json = JSON.stringify(value, null, 2);
        var /** @type {?} */ html = "<script type=\"application/ld+json\">" + json + "</script>";
        return this.sanitizer.bypassSecurityTrustHtml(html);
    };
    return JsonLdComponent;
}());
JsonLdComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'ngx-json-ld',
                template: ''
            },] },
];
/**
 * @nocollapse
 */
JsonLdComponent.ctorParameters = function () { return [
    { type: platformBrowser.DomSanitizer, },
]; };
JsonLdComponent.propDecorators = {
    'json': [{ type: core.Input },],
    'jsonLD': [{ type: core.HostBinding, args: ['innerHTML',] },],
};

var NgxJsonLdModule = (function () {
    function NgxJsonLdModule() {
    }
    /**
     * @return {?}
     */
    NgxJsonLdModule.forRoot = function () {
        return {
            ngModule: NgxJsonLdModule
        };
    };
    return NgxJsonLdModule;
}());
NgxJsonLdModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    common.CommonModule,
                    platformBrowser.BrowserModule
                ],
                declarations: [
                    JsonLdComponent
                ],
                exports: [
                    JsonLdComponent
                ]
            },] },
];
/**
 * @nocollapse
 */
NgxJsonLdModule.ctorParameters = function () { return []; };

exports.NgxJsonLdModule = NgxJsonLdModule;
exports.JsonLdComponent = JsonLdComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
